Modem authorization
Modem authorization
This query returns the authorization data by its ID.
Example
https://mobile.proxy-seller.com/api/v1/modemAuths/62326bcaf3904578675f9ef7Path parameters
Name | Type | Description |
|---|---|---|
modemAuthId* | String | Id of modem Authorization |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
{
"id": "62326bcaf3904578675f9ef7",
"authType": "LOGIN",
"login": "jAck",
"password": "re456pas",
"ip": ""
}AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHINVALID_MODEM_AUTH_IDMODEM_AUTH_NOT_FOUND,
INVALID_MODEMCreate authorization
This request creates authorization on the modem (adds a user). For modems with the "BASIC" tariff, only one user can be installed
Example
https://mobile.proxy-seller.com/api/v1/modemAuthsHeaders
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Request body
Name | Type | Description |
|---|---|---|
modemIds* | Array of String | Array of modem IDs on which the authorization method will be written |
authType* | enum: ["LOGIN", "IP"] | Сan only be "LOGIN" or "IP" |
ip* | String | IP adress (must equal the empty string if authType = "LOGIN") |
login* | String | can only contain Latin letters, numbers and special characters (must equal the empty string if authType = "IP") |
password* | String | can only contain Latin letters, numbers and special characters (must equal the empty string if authType = "IP") |
Example request body
{
"modemIds": ["63c234098746e15666325bf9f"],
"authType": "LOGIN",
"ip": "",
"login" "samuel",
"password": "re129883pas",
}Response
{
"modemAuth": {
"id": "1237jj213cb7965413342665",
"authType": "LOGIN",
"login": "samuel",
"password": "re129883pas",
"ip": ""
},
"errors": {}
}AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHAUTH_OWNER_IS_NOT_MODEM,
INVALID_SYMBOLS_IN_INPUT,
INVALID_IP_ADDRESSINVALID_MODEMEdit authorization
This request edit authorization on the modem .
Example
https://mobile.proxy-seller.com/api/v1/modemAuths/1237jj213cb7965413342665Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Request Body
Name | Type | Description |
|---|---|---|
authType* | enum: ["LOGIN", "IP"] | Сan only be "LOGIN" or "IP" |
ip* | String | IP adress (must equal the empty string if authType = "LOGIN") |
login* | String | can only contain Latin letters, numbers and special characters (must equal the empty string if authType = "IP") |
password* | String | can only contain Latin letters, numbers and special characters (must equal the empty string if authType = "IP") |
Example request body
{
"authType": "LOGIN",
"ip": "",
"login" "samuel new name",
"password": "new129883pas",
}Response
successful answer has no body, the success state is determined by the status 200
AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHAUTH_OWNER_IS_NOT_MODEM,
INVALID_SYMBOLS_IN_INPUT,
INVALID_IP_ADDRESSMODEM_AUTH_NOT_FOUNDDelete authorization
This request removes authorization from the modem (deletes the user)
Example
https://mobile.proxy-seller.com/api/v1/modemAuths/62326bcaf3904578675f9ef7Path Parameters
Name | Type | Description |
|---|---|---|
modemAuthId* | String | id of modem authorization |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
trueAUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHINVALID_MODEM_AUTH_IDMODEM_AUTH_NOT_FOUNDLimits authorization
This request returns the limits of the specified authorization (user) on the selected modem
Example
https://mobile.proxy-seller.com/api/v1/modemAuths/62326bcaf3904578675f9ef7/proxyLimit?modemId="63c234098746e15666325bf9f"Path Parameters
Name | Type | Description |
|---|---|---|
modemAuthId* | String | id of modem authorization |
Query parameters
Name | Type | Description |
|---|---|---|
modemId* | String | id of modem |
Headers
Name | Value |
|---|---|
Content-Type |
|
Authorization* |
|
Response
{
"id": "652319f04cb7965413432168",
"ownerId": "62326bcaf3904578675f9ef7",
"speedLimit": 10000,
"trafficLimit": 10000
}AUTHORIZATION_FAILED,
IP_AUTHORIZATION_FAILED,
HOST_USER_ID_AND_AUTH_DOES_NOT_MATCHGOT_INVALID_AUTHS_BY_OWNERMODEM_AUTH_NOT_FOUND,
INVALID_MODEM,
PROXY_LIMIT_NOT_FOUND